Subject: [bitcoin-dev] About hardware accelerators advantages for full-node (not mining)

From: "Alex Barcelo" <[email-masked]>
Date: Mon, 13 Jul 2015 12:55:14 +0000

I am searching for guidance and opinion in the subject's matter. I will begin with my use case, too see whether my ideas makes sense or not.

I have a Jetson TK1[1], which is a GPU (CUDA) powered development board. I thought that it may be a power-efficient device (in bitcoin environment), and thought about having it as a full-node. Either as a public full-node, if it makes sense, or a local full-node, to allow my PCs to perform relay onto the bitcoind in the Jetson. My idea is to run a bitcoind daemon on the Jetson as a node with high performance-per-watt (also cheap and repurposable). A pure-CPU implementation of bitcoind will clog the CPU

I assume that there are a bunch of heavy-compute highly-parallel functions which could be "outsourced" to a GPU. I may want to fork and/or contribute on that. However, maybe I am speaking nonsense. I have more background on parallel programming than my knowledge on bitcoin protocol. So, before coding a complete mess, I wanted to hear some opinions on the idea/configuration.

[1] https://developer.nvidia.com/jetson-tk1